<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

    <parent>
        <groupId>ru.entaxy.esb.platform.runtime.base.connecting</groupId>
        <artifactId>adapter</artifactId>
        <version>1.8.0</version>
    </parent>

    <modelVersion>4.0.0</modelVersion>
    <groupId>ru.entaxy.esb.platform.runtime.base.connecting.adapter</groupId>
    <artifactId>file-adapter</artifactId>
    <packaging>bundle</packaging>

    <name>ENTAXY :: PLATFORM :: RUNTIME :: BASE :: CONNECTING :: ADAPTER :: FILE ADAPTER</name>
    <description>ENTAXY :: PLATFORM :: RUNTIME :: BASE :: CONNECTING :: ADAPTER :: FILE ADAPTER</description>


    <properties>
        <bundle.osgi.dynamicimport.pkg>*</bundle.osgi.dynamicimport.pkg>
<!--        <bundle.osgi.private.pkg>ru.entaxy.adapter</bundle.osgi.private.pkg>-->
    </properties>

    <build>
        <plugins>
            <plugin>
                <groupId>org.apache.felix</groupId>
                <artifactId>maven-bundle-plugin</artifactId>
                <extensions>true</extensions>
                <configuration>
                    <instructions>
                        <Entaxy-Adapter>true</Entaxy-Adapter>
                        <Entaxy-Adapter-Class/>
                    </instructions>
                </configuration>
            </plugin>
        </plugins>
    </build>
</project>